import numpy as np
import matplotlib.pyplot as plt

TDH=np.genfromtxt('o-TDH-converged.YPP-X_probe_order_2',comments="#")
TDDFT=np.genfromtxt('o-TDDFT-converged.YPP-X_probe_order_2',comments="#")
IPA=np.genfromtxt('o-IPA-converged.YPP-X_probe_order_2',comments="#")

fig=plt.figure(figsize=(10,10))

pmVm1toCGS=2.38721e-09

plt.title('SHG in AlAs: TD-Hartree')
plt.xlabel('eV')
plt.ylabel('$|\chi^2_{xyz}|$ (pm/V)',fontsize=18)
plt.xlim(1,5)
plt.ylim(0,600)
plt.plot(TDH[:,0], np.sqrt(TDH[:,5]**2+TDH[:,6]**2)/pmVm1toCGS,color="red",label="$|\chi^2|$ TD-Hartree")
plt.plot(TDDFT[:,0], np.sqrt(TDDFT[:,5]**2+TDDFT[:,6]**2)/pmVm1toCGS,color="green", linestyle="--",label="$|\chi^2|$ TD-DFT",lw=2)
plt.plot(IPA[:,0], np.sqrt(IPA[:,5]**2+TDDFT[:,6]**2)/pmVm1toCGS,color="blue", linestyle="-.",label="$|\chi^2|$ IPA",lw=2)
plt.legend(loc="top right",fontsize=18)
plt.savefig("AlAs_TDDFT_results.png",format="png")
plt.show()

